
Katello - Refactor #6297

Remove katello-jobs

06/19/2014 05:49 PM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee: Ivan Necas   

Category: Orchestration   

Target version: Katello 2.0   

Branch:  Pull request: https://github.com/Katello/katello/pull/456
Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1120813 Red Hat JIRA:  

Description

Related issues:

Related to Katello - Bug #6182: Dynflowize repository update Closed 06/12/2014

Related to Katello - Refactor #6475: The old content view publish and promoti... Rejected

Related to Katello - Bug #4809: katello-jobs takes a really really long time ... Closed 03/24/2014

Related to foreman-tasks - Bug #7245: Foreman-tasks startup can timeout on RHEL7 Rejected 08/25/2014

Has duplicate Katello - Bug #7107: Finish Dynflowing all critical long runnin... Duplicate 08/15/2014

Blocked by Katello - Refactor #6296: Convert organization autoattach subscrip... Closed 06/19/2014

Blocked by Katello - Feature #6180: Implement org destroy Closed 06/12/2014

Blocked by Katello - Refactor #6304: Reconsider `apply_default_info` code Closed 06/20/2014

Blocks Katello - Refactor #6305: Dynflowize after sync callbacks from Pulp Closed 06/20/2014

Blocks Katello - Bug #6283: Katello ping controller executes init scripts Closed 06/19/2014

Associated revisions

Revision c56564ea - 08/11/2014 04:12 PM - Ivan Necas

Refs #6297 - use foreman_tasks instead of katello_jobs in ping

Revision 6bd6c208 - 08/19/2014 06:25 AM - Ivan Necas

Fixes #6297 - Dynflowize content uploads

Revision 26f9f557 - 08/19/2014 06:25 AM - Ivan Necas

Fixes #6297 - dynflowize after-sync callbacks

Ability to trigger the sync action for already run action to finish the rest

of the orchestration.

Revision a8312db7 - 08/19/2014 06:25 AM - Ivan Necas

Fixes #6297 - remove mailer as the code was unreachable

Revision 1545b9ec - 08/19/2014 06:25 AM - Ivan Necas

Fixes #6297 - remove unused and unreachable code that used delayed jobs

Revision 698b2a76 - 08/19/2014 06:28 AM - Ivan Necas

Fixes #6297 - delayed jobs is dead, long live foreman-tasks

Revision 9fdda3c7 - 08/19/2014 11:24 AM - Ivan Necas

Refs #6297 - workaround for incomplete pulp task from sync plan
Also DRYify some code in presenter

Revision 2b7bde85 - 08/20/2014 06:27 AM - Ivan Necas

Refs #6297 - use foreman-tasks instead of katello-jobs

Revision 10bd17d3 - 08/20/2014 07:08 AM - Ivan Necas

Refs #6297 - update puppet-katello module

Revision f8be9c90 - 08/20/2014 07:10 AM - Ivan Necas

Merge pull request #98 from iNecas/issue/6297

Refs #6297 - use foreman-tasks instead of katello-jobs

Revision c3a2c7fc - 08/20/2014 07:10 AM - Ivan Necas

Merge pull request #4564 from iNecas/issue/6297

Fixes #6297 - delayed jobs is dead, long live foreman-tasks

Revision 019e1da6 - 08/20/2014 07:48 AM - Ivan Necas

Merge pull request #218 from iNecas/issue/6297

Refs #6297 - use foreman_tasks instead of katello_jobs in ping

History

#1 - 06/19/2014 05:50 PM - Eric Helms

- Blocked by Refactor #6296: Convert organization autoattach subscriptions into a dynflowized process added

#2 - 06/20/2014 07:50 AM - Ivan Necas

- Blocked by Feature #6180: Implement org destroy added

#3 - 06/20/2014 07:58 AM - Ivan Necas

- Blocked by Refactor #6304: Reconsider `apply_default_info` code added

#4 - 06/20/2014 08:00 AM - Ivan Necas

- Blocks Refactor #6305: Dynflowize after sync callbacks from Pulp added

#5 - 06/23/2014 07:57 PM - Justin Sherrill

To be clear, this isn't removing katello jobs, its removing delayed jobs from katello jobs.  Dynflow still needs an executor.

#6 - 07/07/2014 01:13 PM - Eric Helms

- Blocks Bug #6283: Katello ping controller executes init scripts added

#7 - 07/28/2014 08:43 AM - Eric Helms

- Target version changed from 49 to 54

#8 - 08/08/2014 10:18 AM - Ivan Necas

- Status changed from New to Assigned

#9 - 08/11/2014 04:01 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/4564 added

- Pull request deleted ()

#10 - 08/15/2014 11:00 AM - Ivan Necas

- Bugzilla link set to 1120813

#11 - 08/15/2014 02:00 PM - Eric Helms

- Related to Bug #6182: Dynflowize repository update added
#12 - 08/15/2014 02:00 PM - Eric Helms

- Related to Refactor #6186: Dynflowize product update added

#13 - 08/15/2014 02:00 PM - Eric Helms

- Related to deleted (Refactor #6186: Dynflowize product update)

#14 - 08/15/2014 02:51 PM - Eric Helms

- Has duplicate Bug #7107: Finish Dynflowing all critical long running operations added

#15 - 08/18/2014 08:31 AM - Eric Helms

- Target version changed from 54 to 55

#16 - 08/18/2014 11:28 AM - David Davis

- Related to Refactor #6475: The old content view publish and promotion code needs to be removed added

#17 - 08/18/2014 02:11 PM - Eric Helms

- Related to Bug #4809: katello-jobs takes a really really long time to restart added

#18 - 08/20/2014 08:01 AM - Ivan Necas

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|6bd6c208c1ca90958846e3a28cba03a59f6410f9.

#19 - 08/22/2014 08:35 AM - Eric Helms

- translation missing: en.field_release set to 13

#20 - 08/25/2014 04:29 AM - Lukas Zapletal

- Related to Bug #7245: Foreman-tasks startup can timeout on RHEL7 added

Powered by TCPDF (www.tcpdf.org)

05/18/2024 3/3

https://projects.theforeman.org/projects/katello/repository/katello/revisions/6bd6c208c1ca90958846e3a28cba03a59f6410f9
http://www.tcpdf.org

